curl --request POST \
--url https://{host}/api/public/v1/pipelines/{id}/definition/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"definition_version": 1,
"name": "orders-to-snowflake",
"source": {
"connection": {
"id": 123
}
},
"destination": {
"connection": {
"id": 123
}
},
"sync": {
"frequency": 123,
"source_frequency": 123,
"destination_frequency": 123,
"auto_sync_new_tables": true
},
"tables": [
{
"name": "public.orders",
"append_only": true,
"columns": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
}
],
"transformations": [
{
"table": "<string>",
"config": {}
}
],
"hooks": [
{
"id": 123,
"events": [
"pipeline_failed",
"pipeline_stopped"
]
}
]
}
'import requests
url = "https://{host}/api/public/v1/pipelines/{id}/definition/validate"
payload = {
"definition_version": 1,
"name": "orders-to-snowflake",
"source": { "connection": { "id": 123 } },
"destination": { "connection": { "id": 123 } },
"sync": {
"frequency": 123,
"source_frequency": 123,
"destination_frequency": 123,
"auto_sync_new_tables": True
},
"tables": [
{
"name": "public.orders",
"append_only": True,
"columns": {
"include": ["<string>"],
"exclude": ["<string>"]
}
}
],
"transformations": [
{
"table": "<string>",
"config": {}
}
],
"hooks": [
{
"id": 123,
"events": ["pipeline_failed", "pipeline_stopped"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
definition_version: 1,
name: 'orders-to-snowflake',
source: {connection: {id: 123}},
destination: {connection: {id: 123}},
sync: {
frequency: 123,
source_frequency: 123,
destination_frequency: 123,
auto_sync_new_tables: true
},
tables: [
{
name: 'public.orders',
append_only: true,
columns: {include: ['<string>'], exclude: ['<string>']}
}
],
transformations: [{table: '<string>', config: {}}],
hooks: [{id: 123, events: ['pipeline_failed', 'pipeline_stopped']}]
})
};
fetch('https://{host}/api/public/v1/pipelines/{id}/definition/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Validate a change to an existing pipeline
Runs the same checks as replace without persisting changes. Use this form to dry-run a change to an existing pipeline. A successful response is {"valid": true}.
Authorizations
Bearer API key, prefixed with fdk_.
Path Parameters
Body
A stable, customer-facing projection of the pipeline. It omits credentials, state backend configuration, region orchestration, and other internal fields. Unknown keys are rejected.
Contract version. Currently 1.
1
"orders-to-snowflake"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Provide either frequency (which sets both source and destination) or both source_frequency and destination_frequency. Values are in minutes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Field-level transforms applied to records.
Show child attributes
Show child attributes
Existing notification hooks to attach to pipeline events.
Show child attributes
Show child attributes
Response
Validation result.
true
Was this page helpful?